<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.mapper.configuration.DicDataMapper">
    <!-- 查询排序最大 -->
    <select id="selNumMax" resultType="int">
      select   max(dic_number) from pqs_dicdata where state=1 order by dic_number desc
    </select>

    <!-- 更新字典表根据主键-->
    <update id="updateByPrimaryKeyBySql">
        UPDATE PQS_DICDATA
        SET DIC_LEAVE = #{dicLeave}
        WHERE
            DIC_INDEX = #{dicIndex}
    </update>
</mapper>